#pragma once
#include <enginend/engine.h>

class world :public enginend::scene{
public:
	enginend::group *players;
	enginend::group *entities;
	enginend::group *buildings;
	bool singleplayer;
	// server side
	world();
	void tick() override;
	~world();
	
	// client side
	void boot() override;
	void draw() override;
	void exit() override;
	enginend::nodes::trid::object3d* terrain;
	Shader worldrender;
	unsigned char*	tiles;
	
	
};